Subject: The complete Hurd reference

From: [email-masked]
Date: Tue, 23 May 2000 08:15:42 +0300

Posted to the hurd list. thought it might interest you:

----- Forwarded message from Jim Franklin <[email-masked]> -----

> Hi,
>   I've a bunch of new urls for everyone.  I went back in the archives to
> last aug til present and pull these out.  Some may be outdated and if so
> please drop me a reply with the change or deletion.
> 
> 
> http://www.gnu.org/software/hurd/hurd.html
> http://www.debian.org/ports/hurd/
> http://www.gnu.org/software/devel.html
> http://www.gnu.org/manual/cvs-1.9/cvs.html
> http://www.debian.org/Lists-Archives/
> http://www.debian.org/ports/hurd/hurd-install
> http://www.gnu.org/software/hurd/learning-more-about-hurd.html
> http://www.cs.cmu.edu/afs/cs/project/mach/public/www/doc/publications.html
> http://kt.linuxcare.com/KC/debian-hurd/index.html
> http://www.tamacom.com/tour/hurd/index.html
> http://www.pick.ucam.org/~mcv21/hurd.html
> http://www.debian.org/ports/hurd/hurd-doc-translator
> http://www.urbanophile.com/arenn/hacking/hurd/hurd-hardware.html
> http://hurd.sourceforge.net/
> 
> Unofficial sites for the hurd:
> http://hurddocs.sourceforge.net/
> http://www.memo.cx/gnuhurdguide/  mirrored at: 
> http://www.crosswinds.net/~gnuhurd/
> http://debian.fmi.uni-sofia.bg/~ogi/hurd/
> http://bornova.ege.edu.tr/~hoerkan/html/hurd/gnuhurd.html  (in Turkish)
> http://pages.hotbot.com/sf/igorkh/gnumach-cross.txt
> 
> you can find the autobuilder status and the build logs at: 
> http://fwi-hurd.wiwi.uni-karlsruhe.de
> 
> The Single Unix Specification seems to be a superset of POSIX whatever
> version.  It is available online (even as tar file!) at: 
> http://www.unix-systems.org/online.html
> 
> OSKit:
> http://www.cs.utah.edu/flux/mach4-i386/html/mach4-UK22.html
> http://www.cs.utah.edu/flux/
> 
> Mach:
> http://www.cs.cmu.edu/afs/cs.cmu.edu/project/mach/public/www/mach.html
> http://www.cs.cmu.edu:/afs/cs/project/mach/public/www/doc/books.html
> * Programming under Mach, Josehp Boykin, David Kirschen, Alan Langerman,
>   and Susan LoVerso, Addison Wesely, 1993, ISBN 0-201-52739
> * Mach Concepts and Programming, Christoph Zimmermann, Albrecht W.
> Krass,
>   Springer-Verlag Publishing Company, 1993
> 
> Grub:
> http://www.gnu.org/software/grub/
> 
> A new serverboot is available at
> ftp://ftp.ai.mit.edu/pub/users/roland/
> 
> General OS Books:
> ftp://ftp.cse.ucsc.edu/pub/comp.os.research/93/93-03-14-17-09.47.gz
> 
> comp.os.research FAQ:
> http://www.best.com/~bos/os-faq/FAQ-1.html
> 
> XFree86-3.3.3.1 for GNU/Hurd
> http://f77.nop.or.jp/
> http://f77.nop.or.jp/doc/patches/hurd-xfree86.patch
> http://kgi.sourceforge.net/
> http://www.ggi-project.org/
> ftp://ftp.debian.org/debian/dists/unstable/main/binary-hurd-i386/utils/patch_2.5-2.deb
> 
> file system, translators, patches and other cool stuff for the hurd:
> ramdisk translator: ftp://walfield.org/pub/people/neal/hurd/
> binary mount: http://nyct.net/~mbac/_mount.c
> http://homepage.ruhr-uni-bochum.de/Marcus.Brinkmann/fatfs/
> Igor's Kaffe patch: http://alcor.concordia.ca/~i_khavki/kaffe.diff
> (pthreads may not be functional yet)
> Perl Filesystem(linux or hurd?): http://www.assurdo.com/perlfs/
> http://www.debian.org/Lists-Archives/debian-hurd-9912/msg00172.html
> http://www.tuxedo.org/~esr/magic-numbers/
> kinda relevent:
> You can get lsh at ftp.lysator.liu.se/pub/security/lsh , or
> http://www.lysator.liu.se/~nisse/archive . The 0.9.4 and 0.9.5 are
> probably the most stable versions.
> 
> If anybody remembers or has a copy of the apache patch for the hurd
> please post it.
> 
> I think Jeff Bailey at hurddocs.sourceforge.net/ was looking for some
> help
> documenting and I think it was Bill White  (I may be wrong) who was also
> doing some documentation.
> 
> If anyone has any additional info urls please post them with a reply to
> this email and
> I'll incorporate them in the next "URLs for new developers".
> 
> Have fun and welcome to the hurd
> Jim

----- End forwarded message -----
--
Chen Shapira	Web Developer and Linux Activist
The algorithm for finding the longest path in a graph is NP-complete.
For you systems people, that means it's *real slow*.